OpenVDB: BasePointScatter< PointAccessorType, RandomGenerator, InterruptType > Class Template Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
BasePointScatter< PointAccessorType, RandomGenerator, InterruptType > Class Template Reference

Forward declaration of base class. More...

`#include <openvdb/tools/PointScatter.h>`

## Public Member Functions
Index64 | getPointCount () const
Index64 | getVoxelCount () const

## Protected Member Functions
| BasePointScatter (PointAccessorType &points, RandomGenerator &randGen, double spread, InterruptType *interrupt=nullptr)
| This is a base class so the constructor is protected.
void | start (const char *name)
void | end ()
bool | interrupt ()
double | getRand01 ()
| Return a random floating point number between zero and one.
double | getRand ()
| Return a random floating point number between 0.5 -+ mSpread/2.
template<typename GridT>
void | addPoint (const GridT &grid, const Vec3R &dmin)
template<typename GridT>
void | addPoint (const GridT &grid, const Vec3R &dmin, const Coord &size)

## Protected Attributes
PointAccessorType & | mPoints
InterruptType * | mInterrupter
Index64 | mPointCount
Index64 | mVoxelCount
Index64 | mInterruptCount
const double | mSpread
math::Rand01< double, RandomGenerator > | mRand01

## Detailed Description

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>
class openvdb::v12_1::tools::BasePointScatter< PointAccessorType, RandomGenerator, InterruptType >

Forward declaration of base class.

Base class of all the point scattering classes defined above.

## Constructor & Destructor Documentation

## ◆ BasePointScatter()

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

BasePointScatter | ( | PointAccessorType & | points,
|  | RandomGenerator & | randGen,
|  | double | spread,
|  | InterruptType * | interrupt = nullptr )
| inlineprotected

This is a base class so the constructor is protected.

## Member Function Documentation

## ◆ addPoint() [1/2]

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>
template<typename GridT>

void addPoint | ( | const GridT & | grid,
|  | const Vec3R & | dmin )
| inlineprotected

## ◆ addPoint() [2/2]

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>
template<typename GridT>

void addPoint | ( | const GridT & | grid,
|  | const Vec3R & | dmin,
|  | const Coord & | size )
| inlineprotected

## ◆ end()

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

void end | ( |  | ) |
| inlineprotected

## ◆ getPointCount()

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

Index64 getPointCount | ( |  | ) | const
| inline

## ◆ getRand()

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

double getRand | ( |  | ) |
| inlineprotected

Return a random floating point number between 0.5 -+ mSpread/2.

## ◆ getRand01()

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

double getRand01 | ( |  | ) |
| inlineprotected

Return a random floating point number between zero and one.

## ◆ getVoxelCount()

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

Index64 getVoxelCount | ( |  | ) | const
| inline

## ◆ interrupt()

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

bool interrupt | ( |  | ) |
| inlineprotected

## ◆ start()

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

void start | ( | const char * | name | ) |
| inlineprotected

## Member Data Documentation

## ◆ mInterruptCount

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

Index64 mInterruptCount
| protected

## ◆ mInterrupter

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

InterruptType* mInterrupter
| protected

## ◆ mPointCount

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

Index64 mPointCount
| protected

## ◆ mPoints

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

PointAccessorType& mPoints
| protected

## ◆ mRand01

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

math::Rand01<double, RandomGenerator> mRand01
| protected

## ◆ mSpread

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

const double mSpread
| protected

## ◆ mVoxelCount

template<typename PointAccessorType, typename RandomGenerator, typename InterruptType>

Index64 mVoxelCount
| protected